﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Sz
{
    public class Program
    {
        public static double[][] ConvertToDoubleArray(string[] arrayString) => arrayString.Select(line => line.Split(' ').Select(double.Parse).ToArray()).ToArray();
        public static int[][] ConvertToIntArray(string[] arrayString) => arrayString.Select(line => line.Split(' ').Select(int.Parse).ToArray()).ToArray();
        static void Main(string[] args)
        {
            Trace.Listeners.Add(new TextWriterTraceListener("Trace and debug"));
            Trace.Listeners.Add(new TextWriterTraceListener(Console.Out));
            Trace.AutoFlush = true;

            string inputPath = "D:\\Rzaev_Examen\\source\\repos\\ConsoleApp1\\input.txt";
            string outputPath = "output.txt";

            string[] allLines = File.ReadAllLines(inputPath);
            int separatorOrig = Array.IndexOf(allLines, "-");

            string[] transportTaskOne = allLines.Take(separatorOrig).ToArray();
            int separatorOne = Array.IndexOf(transportTaskOne, "/");
            string[] arrayTarifOne = transportTaskOne.Take(separatorOne).ToArray();
            double[][] arrayTarOne = ConvertToDoubleArray(arrayTarifOne);

            string[] suppliersAndCustomersOne = transportTaskOne.Skip(separatorOne + 1).ToArray();
            int[][] suppliesrAndCustOne = ConvertToIntArray(suppliersAndCustomersOne);




            SeverZapad objOne = new SeverZapad(arrayTarOne, suppliesrAndCustOne);
            objOne.RealizationAlg();



            Trace.WriteLine(objOne.ToString());


            File.WriteAllText(outputPath, $"{objOne.ToString()}");

            Console.ReadKey();

        }
    }
}
